server:
  compression:
    enabled: true
    min-response-size: 10KB
    mime-types: text/html,text/xml,text/plain,text/css,text/javascript,application/javascript,application/json
  port: 9090
  servlet:
    session:
      timeout: ${xiaoyao.cache.tokenExpire}
    context-path: /foodapi
knife4j:
  enable: true
  documents:
    -
      group: 1.2.x
      name: 测试自定义标题分组
      # 某一个文件夹下所有的.md文件
      locations: classpath:markdown/*
spring:
  datasource:
    url: jdbc:mysql://localhost:3306/ocr?useUnicode=true&nullCatalogMeansCurrent=true&characterEncoding=UTF-8&characterSetResults=utf8&serverTimezone=Asia/Shanghai&useSSL=false&allowPublicKeyRetrieval=true
    driver-class-name: com.mysql.cj.jdbc.Driver
    username: root
    password: qwertyuiop[]
    type: com.alibaba.druid.pool.DruidDataSource
    druid:
      # 初始连接数
      initialSize: 5
      # 最小连接池数量
      minIdle: 10
      # 最大连接池数量
      maxActive: 20
      # 配置获取连接等待超时的时间
      maxWait: 60000
      # 配置间隔多久才进行一次检测，检测需要关闭的空闲连接，单位是毫秒
      timeBetweenEvictionRunsMillis: 60000
      # 配置一个连接在池中最小生存的时间，单位是毫秒
      minEvictableIdleTimeMillis: 300000
      # 配置一个连接在池中最大生存的时间，单位是毫秒
      maxEvictableIdleTimeMillis: 900000
      # 配置检测连接是否有效
      validationQuery: SELECT 1 FROM DUAL
      testWhileIdle: true
      testOnBorrow: false
      testOnReturn: false
      web-stat-filter:
        enabled: true
      stat-view-servlet:
        enabled: true
        url-pattern: /druid/*
        # 控制台管理用户名和密码
        login-username:
        login-password:
        allow:
      filter:
        stat:
          enabled: true
          # 慢SQL记录
          log-slow-sql: true
          slow-sql-millis: 1000
          merge-sql: true
        wall:
          config:
            multi-statement-allow: true
  servlet:
    multipart:
      max-file-size: 50MB
      max-request-size: 50MB
  freemarker:
    template-loader-path: file:${xiaoyao.web.webPath}
    suffix: .html
    allow-request-override: true
    cache: true
    check-template-location: true
    charset: UTF-8
    content-type: text/html
    expose-request-attributes: false
    expose-session-attributes: false
    expose-spring-macro-helpers: false
    request-context-attribute: request
  web:
    resources:
      static-locations: file:${xiaoyao.web.webPath},file:${xiaoyao.web.uploadPath},file:${xiaoyao.web.frontPath},file:${xiaoyao.web.staticPath}
  session:
    store-type: none
  cache:
    type: ehcache
    ehcache:
      config: classpath:/myehcache.xml
flowable:
  modeler:
    app:
      deployment-api-url: http://127.0.0.1:9090/foodapi/flowable-task/app-api
  #关闭定时任务JOB
  async-executor-activate: false
  database-schema-update: false
#
#  cache:
#    type: redis
#  redis:
#    #Redis服务器地址
#    #host: 192.168.0.198
#    host: 127.0.0.1
#    # Redis服务器连接端口
#    port: 6379
#    # 链接超时时间 单位 ms（毫秒）
#    timeout: 20000
##    cluster:
##      nodes:
##        192.168.0.191:7001,
##        192.168.0.192:7001,
##        192.168.0.193:7001,
##        192.168.0.201:7001,
##        192.168.0.202:7001,
##        192.168.0.203:7001
##      #跨集群执行命令时要遵循的最大重定向数量
##      max-redirects: 18
#    #lettuce:
#    jedis:
#      pool:
#        #连接池最大连接数（使用负值表示没有限制） 默认 8
#        max-active: 20
#        #连接池中的最大空闲连接 默认 8
#        max-idle: 10
#        #连接池中的最小空闲连接 默认 0
#        min-idle: 10
#        #连接池最大阻塞等待时间（使用负值表示没有限制） 默认 -1
#        max-wait: 10000
mybatis:
  mapper-locations:
    - classpath*:mapper/**/*.xml
  #    - classpath*:/META-INF/modeler-mybatis-mappings/*.xml
  configuration:
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
  configuration-properties:
    prefix:
    blobType: BLOB
    boolValue: TRUE
mybatis-plus:
  configuration:
    map-underscore-to-camel-case: true
  global-config:
    db-config:
      logic-delete-value: 20
      logic-not-delete-value: 10
  configuration-properties:
    prefix:
    blobType: BLOB
    boolValue: TRUE
xiaoyao:
  web:
    #上传文件路径
    uploadPath: D:\work\java\gitlab\ocr\htmlweb/upload
    #页面根路径
    frontPath: D:\work\java\gitlab\ocr\htmlweb
    #js、css、图片存放路径
    staticPath: D:\work\java\gitlab\ocr\htmlweb/static
    #页面模版路径
    webPath: D:\work\java\gitlab\ocr\htmlweb/web
    #Lucene索引路径
    lucenePath: D:\work\java\gitlab\ocr\htmlweb/lucene/indexDir
    #是否开启flowable
    haveFlowable: true
  webconfig:
    #是否用于测试，测试数据不向其他服务器发送
    useSend: true
    #jwt 的密钥
    jwtKey: and0X3ZhBGlkYXRpb25fY22uZmlnX1tleQ==
    #用户基本信息是否加密，注意数字或字母加密后长度会是原数据的三倍，汉字是原数据的八倍
    entryUse: true
    # 同一个用户最大会话数，比如2的意思是同一个账号允许最多同时两个人登录（默认-1不限制）
    maxLoginSession: 1
    # maxLoginSession为1时，当前状态为true踢出之前登录的用户，否则不能登录
    killOutAfter: false
    # 密码错误5次锁定{passwordMaxRetryTime}分钟
    passwordMaxRetryCount: 5
    # 密码错误锁定10分钟
    passwordMaxRetryTime: 10
    #不需要过滤的静态资源
    nofilterurls: /,/static/**,/upload/**,/fonts/**,/druid/**,/site/**,/*.txt,/modeler/**,/swagger-ui.html,/v2/**,/swagger-resources/**,/doc.html/**,/webjars/springfox-swagger-ui/**
    #排除链接（多个用双引号包括并且逗号分隔）
    excludes: /lanjieqibuhaoyong
    #后台管理登录页面入口
    loginPage: ${server.servlet.context-path}/loginadmin
    #后台管理登陆
    loginProcessingUrl: /backstage/adminlogin
    #后台管理登出
    logoutProcessingUrl: /backstage/adminlogout
    #后台管理登录成功跳转的url
    loginSuccessUrl: /backstage/index
    #超级管理员账号，与数据库对应
    sysLoginUser: admin,zhangyong
    #用户默认密码
    userDefaultPassword: 123456
    #是否开启cookie，用于存储校验信息
    cookieopen: true
    #Cookie的名字
    cookieName: usertoken
    #cookie的有效域
    cookieDomain:
    #Cookies的有效期,24 * 60 * 60(1天)
    cookieMaxAge: 86400
    #cookie的有效路径
    cookiePath: /
  #异步线程池
  task:
    #核心线程池大小
    corePoolSize: 20
    #最大线程数
    maxPoolSize: 40
    #活跃时间
    keepAliveSeconds: 300
    #队列容量
    queueCapacity: 50
    #前缀
    taskPrix: taskprix
  #上传配置
  uploadConfig:
    #none(当前服务器),ftp(ftpServer服务),fdfs(使用FastDFS服务作为文件管理)
    type: none
    #集群情况下，可能使用分组的方式进行，当前字段主要用户分组前缀使用，例如在FastDFS中的分组填写group1、group2，只能填写数组
    prefix: ftp
    ftpServer:
      #ftp服务器地址
      ftpHostName: 192.168.0.148
      #ftp服务器端口号默认为21
      ftpHostPort: 21
      #ftp登录账号
      ftoHostUserName: ftp_wordpress
      #ftp登录密码
      ftpHostPassword: n123456
    #cms静态化文件，在集群下同步htm文件
    cmsFtpServer:
      #是否单独发布手机端静态页面
      mobile: true
      #是否开启
      isOpen: false
      #ftp服务器地址
      ftpHostName: 192.168.0.148
      #ftp服务器端口号默认为21
      ftpHostPort: 21
      #ftp登录账号
      ftoHostUserName: ftp_wordpress
      #ftp登录密码
      ftpHostPassword: n123456
    #FastDFS配置文件路径，查找classpath下的文件
    fdfs_client_path: fdfs_client.conf
  cache:
    #缓存前缀
    prefix: basegps_
    #缓存默认名称
    managerName: cacheMgrGps
    #有效时长(秒)，目前登录用户、session使用
    tokenExpire: 18000
    #缓存名称分隔符
    cacheNamePrix: "_"
    #存放缓存刷新时间是，使用临时缓存名称前缀
    cacheNameTimePrix: time
springfox:
  documentation:
    swagger-ui:
      enabled: true
# 是否启用swagger,postman调试
debugger_tools: true
#图片查重模型
image:
  similarityPath: http://81.70.154.131/ai/api/similarity/
  classifyPath: http://47.103.213.109/ai/api/classify/
  serverUrl: http://81.70.154.131/api/image/
  classifyBaseUrl: http://47.93.59.251/ai/api/classify/
accessCode: ED6F7B39768AF95E87AEA8ACCCC71A6F
accessKey: 7390F0221A1A73D8E13F8C8BB96F33B0
interfaceDomain: https://saas-dev.rongyucloud.com/api/admin/pangu/jingwei/thirdclient/command/pb/approval/result
